Subject: Re: [net-next PATCH 09/11] dt-bindings: net: dsa: qca8k: add LEDs definition example

From: Christian Marangi <[email-masked]>
Date: Wed, 8 Mar 2023 20:23:03 +0100

On Wed, Mar 08, 2023 at 08:09:34PM +0100, Krzysztof Kozlowski wrote:
> On 08/03/2023 20:02, Christian Marangi wrote:
> > On Wed, Mar 08, 2023 at 07:49:26PM +0100, Krzysztof Kozlowski wrote:
> >> On 08/03/2023 14:57, Andrew Lunn wrote:
> >>> On Wed, Mar 08, 2023 at 11:58:33AM +0100, Krzysztof Kozlowski wrote:
> >>>> On 07/03/2023 18:00, Christian Marangi wrote:
> >>>>> Add LEDs definition example for qca8k Switch Family to describe how they
> >>>>> should be defined for a correct usage.
> >>>>>
> >>>>> Signed-off-by: Christian Marangi <[email-masked]>
> >>>>
> >>>> Where is the changelog? This was v8 already! What happened with all
> >>>> review, changes?
> >>>
> >>> Did you read patch 0?
> >>>
> >>> We have decided to start again, starting small and working up. This
> >>> patchset just adds plain, boring LEDs. No acceleration, on hardware
> >>> offload. Just on/off, and fixed blink.
> >>
> >> Sure, but the patch is carried over. So what happened with all its
> >> feedback? Was there or was not? How can we know?
> >>
> > 
> > The history of the old series is a bit sad, not enough review, another
> > dev asking for a different implementation and me doing an hybrid to
> > reach a common point (and then disappear intro oblivion)...
> > 
> > Short story is that this current series have nothing related to the HW
> > offload feature and only in v7 it was asked to put the LED nodes in
> > ethernet-phy.yaml
> > 
> > I can put in the cover letter of v2 of this series the changelog of the
> > previous series but they would only be related to other part that are
> > not related to this.
> > 
> > Just to give you some context and explain why the changelog was dropped.
> 
> I am less interested in the changelog of entire patchset but of the
> patches which are for me to review. Sending vX as v1 suggests that all
> previous review work on this patch could be in some limbo state. Maybe
> nothing happened in all previous version, but it's now my task to dig it?
> 

OK, if you are intrested only on the DT changes I can list:
>From v0 to v6:
- There was only qca8k Documentation addition for the leds node.
  Some extra binding were dropped due to implementation change but they
  were only specific to qca8k.

In v7:
- The default-trigger for netdev was introduced (this caused some
  warning for missing netdev trigger for that binding)
- It was suggested and asked to make the LEDs generic and add
  Documentration for phy-ethernet.yaml

In v8:
- The netdev trigger was added to the list of accepted default-trigger
- The Documentation for phy-ethernet.yaml was added

Then we decided to "reboot" the series and:
In v1:
- The default-trigger is dropped (will be introduced later when the work
  for the netdev trigger will be done)
- We use the default state to "keep"

This should be the entire changelog excluding some changed things done
from v0 to v6 with low review and implementation changed at least 3
times during the life of that series.

> This is why you have "---" for the patch changelog.

-- 
	Ansuel